GET api/JobConditioningCase/GetInjuryPreventionCaseList?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfJobConditioningCaseDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of JobConditioningCaseDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"EmployeeId": "sample string 2",
"CloseDate": "2026-06-20T12:51:19.8205204-07:00",
"CloseByName": "sample string 3",
"CloseByFirstName": "sample string 4",
"CloseByLastName": "sample string 5",
"Status": 6,
"CaseNo": 7,
"DateOfInjury": "2026-06-20T12:51:19.8205204-07:00",
"DateLastWorked": "2026-06-20T12:51:19.8205204-07:00",
"AuthorizationNumber": "sample string 8",
"ClaimNumber": "sample string 9",
"ReasonForDelete": "sample string 10",
"ECCCaseTypeName": "sample string 11",
"CorporationCode": "sample string 12",
"EccCaseTypeId": 1,
"ClinicalPathwayId": 1,
"EncounterId": 1,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:51:19.8205204-07:00",
"DateUpdated": "2026-06-20T12:51:19.8205204-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
},
{
"Id": 1,
"EmployeeId": "sample string 2",
"CloseDate": "2026-06-20T12:51:19.8205204-07:00",
"CloseByName": "sample string 3",
"CloseByFirstName": "sample string 4",
"CloseByLastName": "sample string 5",
"Status": 6,
"CaseNo": 7,
"DateOfInjury": "2026-06-20T12:51:19.8205204-07:00",
"DateLastWorked": "2026-06-20T12:51:19.8205204-07:00",
"AuthorizationNumber": "sample string 8",
"ClaimNumber": "sample string 9",
"ReasonForDelete": "sample string 10",
"ECCCaseTypeName": "sample string 11",
"CorporationCode": "sample string 12",
"EccCaseTypeId": 1,
"ClinicalPathwayId": 1,
"EncounterId": 1,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:51:19.8205204-07:00",
"DateUpdated": "2026-06-20T12:51:19.8205204-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}